<?php

class VocherLogger{
    
    public function __construct(){
        $this->table_name = "lsl_voucher_log";
    }
    
    public function saveVoucherToDB($member_id, $name, $description, $amount, $date, $quantity){
        $values = array($member_id, $name, $description, $amount, $date, $quantity);
        $keys = array('membership_id',	'name',	'description',	'amount',	'date',	'quantity');
        $insert_data = $this->insert($this->table_name, $keys, $values);
        if($this->output['Query_Id'] > 0) return 1;
        return 0;
    }
    
    
    private function insert($table, array $keys, array $values){
	   $this->errors = array(); $this->output = array();
	   if (count($keys) == count($values)){
	   /*array_push('cols and values do not match in length', $errors);
		print_r($errors);*/
	   
	   $txtkey = ''; $txtval = '';
	   for ($i = 0; $i < count($keys); $i++){
		 $txtkey .= $keys[$i] . ',';
		 
	   }
	   $newkey = rtrim($txtkey, ',');
	   for ($i = 0; $i < count($values); $i++){
		   $txtval .= "'" . $values[$i] . "',";
	   }
	   $newval = rtrim($txtval, ',');
	   $sql = $this->con->query("INSERT INTO $table ($newkey) VALUES ($newval)");
	   if($sql){
		   $msg = 'data inserted';
		   $this->output['outcome'] = $msg;
		   $id = $this->con->insert_id;
		  
		   $this->output['Query_Id'] = $id;
		   
		   $this->con->rollback();
	   }
	   else{
		   $err = mysqli_error($this->con); 
		   $this->output['error1'] = $err;
	   }
	  
	   
	   }
	   else{
		   $msg = 'columns and values do not match in length';
		  $this->output['error2'] = $msg;
	   }
	   return $this->output;
   }
    
    
    
}


?>